function [t,y]=myrk2(f,interv,y0,h)
% Runge Kutta ordine 2
o1=1/2; o2=1/2; a2=1; b21=1;
t=interv(1):h:interv(2);
t=t(:);
N=length(t);
y0=y0(:);
D=length(y0);

y=zeros(N,D);
y(1,:)=y0';

for i=2:N
    k1=h*f(t(i-1),y(i-1,:))';
    k2=h*f(t(i-1)+a2*h,y(i-1,:)+b21*k1)';
    y(i,:)=y(i-1,:)+o1*k1+o2*k2;
end